> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List program members daily reports

> Returns member and card changes for the program over the given date range and resolution. Each row covers one period with recorded activity. Periods without activity are omitted.

The date range is limited per resolution:
- 90 days for `day`,
- 12 weeks for `week`,
- 12 months for `month`,
- 4 quarters for `quarter`,
- `start_date` must be before `end_date`,
- `start_date` and `end_date` are inclusive.

Returns `400` when query validation fails. Returns `404` when the program does not exist.



## OpenAPI

````yaml /openapi/loyalties-v2.json get /v2/loyalties/programs/{programId}/reports/members/daily
openapi: 3.1.0
info:
  title: Voucherify API - Loyalty v2
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v2/loyalties/programs/{programId}/reports/members/daily:
    parameters:
      - name: programId
        in: path
        required: true
        description: >-
          Identifies the loyalty program (`lprg_` followed by hexadecimal
          characters).
        schema:
          type: string
    get:
      tags:
        - Programs
      summary: List program members daily reports
      description: >-
        Returns member and card changes for the program over the given date
        range and resolution. Each row covers one period with recorded activity.
        Periods without activity are omitted.


        The date range is limited per resolution:

        - 90 days for `day`,

        - 12 weeks for `week`,

        - 12 months for `month`,

        - 4 quarters for `quarter`,

        - `start_date` must be before `end_date`,

        - `start_date` and `end_date` are inclusive.


        Returns `400` when query validation fails. Returns `404` when the
        program does not exist.
      operationId: listProgramMembersDailyReports
      parameters:
        - name: start_date
          in: query
          required: true
          description: >-
            Sets the inclusive start of the report date range, in `YYYY-MM-DD`
            format.
          schema:
            type: string
            format: date
            pattern: ^\d{4}-\d{2}-\d{2}$
        - name: end_date
          in: query
          required: true
          description: >-
            Sets the inclusive end of the report date range, in `YYYY-MM-DD`
            format. Requires `start_date` to be before `end_date`.
          schema:
            type: string
            format: date
            pattern: ^\d{4}-\d{2}-\d{2}$
        - name: resolution
          in: query
          required: true
          description: >-
            Sets the aggregation resolution. Allows at most 90 days for `day`,
            12 weeks for `week`, 12 months for `month`, and 4 quarters for
            `quarter`.
          schema:
            type: string
            enum:
              - day
              - week
              - month
              - quarter
      responses:
        '200':
          description: Program members daily report.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoyaltiesProgramsReportsMembersDailyListResponseBody
              examples:
                'Daily members report: Month resolution':
                  value:
                    data:
                      - date: '2026-07-01'
                        members_joined: 10
                        members_deactivated: 1
                        members_deleted: 2
                        cards: 0
                        object: program_members_daily_report
                      - date: '2026-09-01'
                        members_joined: 2
                        members_deactivated: 3
                        members_deleted: 0
                        cards: 3
                        object: program_members_daily_report
                      - date: '2026-10-01'
                        members_joined: 1
                        members_deactivated: 1
                        members_deleted: 0
                        cards: 3
                        object: program_members_daily_report
                    object: report
                Empty members daily report:
                  value:
                    data: []
                    object: report
        '400':
          description: >-
            Query parameters failed validation, or `start_date` is not before
            `end_date`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                'Invalid query parameters: `start_date` is required':
                  value:
                    code: 400
                    key: invalid_query_params
                    message: Invalid query params
                    details: Query must have required property 'start_date'
                    request_id: v-131e4b76ad2e098961
                'Invalid query parameters: `end_date` is required':
                  value:
                    code: 400
                    key: invalid_query_params
                    message: Invalid query params
                    details: Query must have required property 'end_date'
                    request_id: v-131e4b76ad2e098962
                'Invalid query parameters: `resolution` is required':
                  value:
                    code: 400
                    key: invalid_query_params
                    message: Invalid query params
                    details: Query must have required property 'resolution'
                    request_id: v-131e4b76ad2e098963
                'Invalid query parameters: `resolution` is invalid':
                  value:
                    code: 400
                    key: invalid_query_params
                    message: Invalid query params
                    details: >-
                      Property .resolution must be equal to one of the allowed
                      values [ day, week, month, quarter ]
                    request_id: v-131e4b76ad2e098964
                'Invalid query parameters: `start_date` is invalid':
                  value:
                    code: 400
                    key: invalid_query_params
                    message: Invalid query params
                    details: >-
                      Property .start_date cannot be recognized as a ISO-8601
                      compliant date
                    request_id: v-131e4b76ad2e098965
                'Invalid query parameters: date range exceeds limit':
                  value:
                    code: 400
                    key: invalid_query_params
                    message: Invalid query params
                    details: >-
                      Query date range exceeds maximum allowed 90 days for
                      resolution 'day'
                    request_id: v-131e4b76ad2e098966
                'Invalid payload: `start_date` is not before `end_date`':
                  value:
                    code: 400
                    key: invalid_payload
                    message: Invalid payload
                    details: Property 'start_date' must be before 'end_date'
                    request_id: v-131e4b76ad2e098967
        '404':
          description: Program not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Program not found:
                  value:
                    code: 404
                    key: not_found
                    message: Resource not found
                    details: Cannot find program with id lprg_128f58429fc4bf7b2
                    request_id: v-131e4b76ad2e098968
                    resource_id: lprg_128f58429fc4bf7b2
                    resource_type: program
                Program id does not match the pattern:
                  value:
                    code: 404
                    key: not_found
                    message: Resource not found
                    details: Cannot find program with id missing
                    request_id: v-131e4b76ad2e098969
                    resource_id: missing
                    resource_type: program
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Internal server error:
                  value:
                    code: 500
                    key: api_error
                    message: >-
                      Something went wrong. Don't worry, your campaigns are
                      still safe and the Voucherify Team has been notified.
                      Check out our Help Center and forums for help, or head
                      back to home.
      security:
        - X-App-Id: []
          X-App-Token: []
        - bearerAuth: []
components:
  schemas:
    LoyaltiesProgramsReportsMembersDailyListResponseBody:
      type: object
      title: Loyalties Programs Reports Members Daily List Response Body
      description: >-
        Response body schema for **GET**
        `/v2/loyalties/programs/{programId}/reports/members/daily`.
      properties:
        data:
          type: array
          description: >-
            List of report entries, one per aggregation period with recorded
            activity, ordered by `date` ascending. Empty when no activity was
            recorded in the range.
          items:
            $ref: '#/components/schemas/MembersReportDailyEntry'
        object:
          type: string
          const: report
          description: Object type marker. Always `report`.
      required:
        - data
        - object
    ErrorResponse:
      type: object
      description: Standard error response returned by all Loyalty v2 endpoints.
      properties:
        code:
          type: integer
          description: HTTP status code of the error.
        key:
          type: string
          description: Machine-readable error key.
        message:
          type: string
          description: Human-readable error message.
        details:
          type: string
          description: Additional details about the error.
        request_id:
          type: string
          description: Unique identifier of the request that produced the error.
        resource_id:
          type: string
          description: Unique identifier of the resource that produced the error.
        resource_type:
          type: string
          description: Type of the resource that produced the error.
    MembersReportDailyEntry:
      type: object
      description: >-
        Member and card changes for one aggregation period. Counters that did
        not change in the period are 0.
      properties:
        date:
          type: string
          format: date
          description: >-
            Identifies the start of the truncated aggregation period
            (`YYYY-MM-DD`). For `week` this is Monday. For `month` this is the
            first day. For `quarter` this is the quarter start.
        members_joined:
          type: number
          description: Counts members who joined the program in the period.
        members_deactivated:
          type: number
          description: >-
            Counts members deactivated in the period. Decreases by 1 when a
            member is activated again.
        members_deleted:
          type: number
          description: Counts members deleted in the period.
        cards:
          type: number
          description: >-
            Counts cards created in the period. Decreases by 1 when a card is
            unassigned (e.g. when a member is deleted).
        object:
          type: string
          const: program_members_daily_report
          description: Object type marker. Always `program_members_daily_report`.
      required:
        - date
        - members_joined
        - members_deactivated
        - members_deleted
        - cards
        - object
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.